You are not logged in.

Announcement

 Téléchargez la dernière version stable de GLPI      -     Et vous, que pouvez vous faire pour le projet GLPI ? :  Contribuer
 Download last stable version of GLPI                      -     What can you do for GLPI ? :  Contribute

#1 2006-06-14 16:19:23

winsa
Guest
Registered: 2006-06-14
Posts: 39

Version php

Voila je voudrais savoir si il faut imperativement installer la version 5 d'apache et de php ou si avec la 4 ca marche aussi sur opensuse 10.0 ???

Tiens une autre question de newb au passage comment fait t on pour connaitre l'architecture de son linux ???

Last edited by winsa (2006-06-14 16:34:24)

Offline

#2 2006-06-14 17:20:36

aurel
Guest
From: France
Registered: 2004-09-23
Posts: 1,248

Re: Version php

Salut, il te faut une version 4 de PHP au minimum car glpi ne fonctionne avec la version 3 et pour répondre à ta question qui est "comment fait t on pour connaitre l'architecture de son linux ???" qu'entends tu par la. Si c'est pour savoir si t'as  installé une version 32 ou 64 bit, tapes cette commande dans une console et tu verras quel kernel est installé.

uname -a

2.6.15-23-386 #1 PREEMPT Tue May 23 13:49:40 UTC 2006 i686 GNU/Linux


A+


Prod (Vmware) Debian 7.0 - GLPI 0.85.4 , plugin FusionInventory 0.85+1.1, Agent Fusioninventory v2.3.8
Pré Prod (Vmware) Debian 7.0 - GLPI 0.84.3 , plugin FusionInventory 0.84+1.2, Agent Fusioninventory v2.3.6

Offline

#3 2006-06-14 17:22:23

winsa
Guest
Registered: 2006-06-14
Posts: 39

Re: Version php

bah vu que j'ai la version 4 de php ca devrait marché normalement, j'ai bien crée ma base sql correctement mais dans le navigateur quand je tape http://localhost/gpli j'arrive sur une page blanche, si je tape http://localhost/gpli/install.php page blanche aussi hmm

est ce normale ?

Last edited by winsa (2006-06-14 17:23:54)

Offline

#4 2006-06-14 18:03:04

aurel
Guest
From: France
Registered: 2004-09-23
Posts: 1,248

Re: Version php

Non mais détail tes logiciels et les versions utilsées (php, mysql, apache). As tu regarder le tutorial sur l'installation de GLPI sur une 10.1 peut etre que t'as oublié certaines choses comme désactiver SELinux qui fou la mer... 


A+


Prod (Vmware) Debian 7.0 - GLPI 0.85.4 , plugin FusionInventory 0.85+1.1, Agent Fusioninventory v2.3.8
Pré Prod (Vmware) Debian 7.0 - GLPI 0.84.3 , plugin FusionInventory 0.84+1.2, Agent Fusioninventory v2.3.6

Offline

#5 2006-06-15 09:14:09

winsa
Guest
Registered: 2006-06-14
Posts: 39

Re: Version php

Les version utilisées sont :

apache
apache-mod_php4

php4
php4-mysql

Je n'ai pas installlé les package optionnel mais sinon j'ai suivi toutes les informations a la lettre.
Sinon SELinux c'est koi comment voir si il est activé ou pas ???

Offline

#6 2006-06-15 10:50:40

aurel
Guest
From: France
Registered: 2004-09-23
Posts: 1,248

Re: Version php

Pour avoir les versions exactes des logiciels (php, apache...) tapes les commandes suivantes:

rpm -qa | grep -i php
rpm -qa | grep -i apache
rpm -qa | grep -i mysql

Pour voir si SELinux est installé et/ou fonctionnel, tu dois pouvoir le savoir par l'intermédiaire de l'utilitaire YaST. Je te donnerai plus de détails ce soir car là je n'ai pas de SuSe sous la main.


A+


Prod (Vmware) Debian 7.0 - GLPI 0.85.4 , plugin FusionInventory 0.85+1.1, Agent Fusioninventory v2.3.8
Pré Prod (Vmware) Debian 7.0 - GLPI 0.84.3 , plugin FusionInventory 0.84+1.2, Agent Fusioninventory v2.3.6

Offline

#7 2006-06-15 11:08:18

winsa
Guest
Registered: 2006-06-14
Posts: 39

Re: Version php

voila ce que j'ai :

apache2-mod_php4-4.4.0-6
php4-4.4.0-6
php4-mysql-4.4.0-6

apache2-2.0.54-10
apache2-mod_php4-4.4.0-6
apache2-prefork-2.0.54-10

mysql
mysql-client-4.1.13-3
mysql-shared-4.1.13-3
php4-mysql-4.4.0-6
perl-DBD-mysql-3.0002-2
mysql-4.1.13-3

et quand je fait une recherche dans Yatz pour SELinux je ne trouve rien du tout.

Offline

#8 2006-06-15 11:29:15

winsa
Guest
Registered: 2006-06-14
Posts: 39

Re: Version php

Je viens de voir que pour php5 il y'avait une modif a faire, hors pour la version 0.6 de gpli peu etre que la modif a été inclu pour php5, peu etre faut t il en faire une pour le faire tourner sous php4 ??

Offline

#9 2006-06-15 13:25:50

winsa
Guest
Registered: 2006-06-14
Posts: 39

Re: Version php

quand dans le navigateur je tape http://localhost/glpi j'arrive sur une page blanche, ca peut venir d'ou ??

J'ai installer PhpMyAdmin, j'ai executé mes requête ca ne semble pas venir de la BDD.

De plus la doc que j'ai suivi c'est pour suse 10.1 hors moi j'ai la 10.0, ca pose un problème ??

Je viens de remarqué ici que le php.ini qui modifie le memory limits se trouve dans /etc/php.ini alors que sur la doc il devrait se trouver dans /etc/php4/apache2/php.ini

est ce normal ??

Last edited by winsa (2006-06-15 13:52:33)

Offline

#10 2006-06-15 18:27:28

aurel
Guest
From: France
Registered: 2004-09-23
Posts: 1,248

Re: Version php

Re, essaye de mettre "SELINUX=disabled" dans le fichier /etc/sysconfig/selinux et de redemarrer. Si tu ne trouves pas ce fichier regarde si tu peux faire un /etc/init.d/selinux stop. Tu peux aussi essayer de modifier ton fichier /boot/grub/menu.lst pour qu'il ressemble à ça

kernel /boot/vmlinuz root=/dev/hdb1 vga=0x317 selinux=0 resume=/dev/hdb3 splash=silent showopts

la chose à rajouter dans ton fichier est l'option selinux=0 qui devrait désactiver selinux mais je ne suis pas sûr que se soit lui le  fautif mais on ne sais jamais.


Pour ce qui est du fichier php.ini il peut etre à différent endroit suivant les distributions et même suivants les versions de PHP qui sont utilisés.



A+


Prod (Vmware) Debian 7.0 - GLPI 0.85.4 , plugin FusionInventory 0.85+1.1, Agent Fusioninventory v2.3.8
Pré Prod (Vmware) Debian 7.0 - GLPI 0.84.3 , plugin FusionInventory 0.84+1.2, Agent Fusioninventory v2.3.6

Offline

#11 2006-06-16 09:28:30

winsa
Guest
Registered: 2006-06-14
Posts: 39

Re: Version php

Aucun fichier dans /etc/sysconfig et de même pour /etc/init.d/selinux stop. De même quand je fais une recherche sur YATZ sur SElinux je ne trouve rien non plus. A mon avis il n'est pas installé d'office sur opensuse 10.0 ..!

Penses tu qu'il faudrait que j'essai une autre version de GLPI ???

Last edited by winsa (2006-06-16 10:22:08)

Offline

#12 2006-06-16 14:13:25

winsa
Guest
Registered: 2006-06-14
Posts: 39

Re: Version php

je t'ai envoyer un mp aurel wink

Offline

#13 2006-06-17 10:40:23

aurel
Guest
From: France
Registered: 2004-09-23
Posts: 1,248

Re: Version php

j'ai répondu hier soir.

A+


Prod (Vmware) Debian 7.0 - GLPI 0.85.4 , plugin FusionInventory 0.85+1.1, Agent Fusioninventory v2.3.8
Pré Prod (Vmware) Debian 7.0 - GLPI 0.84.3 , plugin FusionInventory 0.84+1.2, Agent Fusioninventory v2.3.6

Offline

#14 2006-06-26 15:55:09

winsa
Guest
Registered: 2006-06-14
Posts: 39

Re: Version php

C'est vraiment bizar par ce que j'ai fait l'install sous windaube et ca marche nikel et je vois pas ce qui cloche sous suse vu que même si ma base de donnée n'est pas bonne le fait de décompressé le fichier dans /srv/www/htdocs et le lancer a partir du navigateur a l'adresse suivante http://localhost/glpi je devrais quand même arrivé sur la page d'installation et la a chaque fois c'est la page blanche et ca avec toutes les version de glpi que j'ai essayé.

quelqu'un l'a deja installé sous suse 10.0 ???

Alors que j'ai installé phpmyadmin dans le même répertoire et lui fonctionnement correctement. sad

Offline

#15 2006-06-26 19:13:35

aurel
Guest
From: France
Registered: 2004-09-23
Posts: 1,248

Re: Version php

Essayes de supprimer le fichier .htaccess qui se trouve à la racine du répertoire glpi. J'ai installé glpi sur une SuSe 10.0 et je n'ai eu aucun problème à l'époque mais ça peut dépendre de plusieurs choses donc c'est difficile sans avoir accès à la machine de te dire précisement ce que ça peut être.

A+


Prod (Vmware) Debian 7.0 - GLPI 0.85.4 , plugin FusionInventory 0.85+1.1, Agent Fusioninventory v2.3.8
Pré Prod (Vmware) Debian 7.0 - GLPI 0.84.3 , plugin FusionInventory 0.84+1.2, Agent Fusioninventory v2.3.6

Offline

#16 2006-06-27 11:11:21

winsa
Guest
Registered: 2006-06-14
Posts: 39

Re: Version php

je l'ai suprimer mais j'arrive toujours sur une page blanche sad

voila ce que j'ai dans le repertoire glpi :

s/glpi # ls
.              COPYING        install.php     pics           setup
..             devices        knowbase        planning       siteroot.php
ajax           docs           links           plugins        software
AUTHORS.txt    documents      LISEZMOI.txt    preferences    state
backups        enterprises    login.php       print.css      stats
calendar       faq.php        logout.php      printers       style_install.css
cartridges     find_num.php   logs.php        prototype.js   styles.css
central.php    glpi           monitors        README.txt     toolbar.js
CHANGELOG.txt  help           mycalendar.php  _relpos.php    tracking
common         helpdesk       mysql           reminder       typedocs
computers      helpdesk.html  networking      reports        update_content.php
consumables    helpdesk.php   ocsng           reservation    update.php
contacts       index.php      peripherals     scriptaculous  users
contracts      infocoms       phones          script.js

Offline

#17 2006-06-27 13:47:09

aurel
Guest
From: France
Registered: 2004-09-23
Posts: 1,248

Re: Version php

Re, pour faire afficher les fichiers cachés en console tapes "ls -a" wink mais bon j'avoue que ton problème est assez bizarre.


A+


Prod (Vmware) Debian 7.0 - GLPI 0.85.4 , plugin FusionInventory 0.85+1.1, Agent Fusioninventory v2.3.8
Pré Prod (Vmware) Debian 7.0 - GLPI 0.84.3 , plugin FusionInventory 0.84+1.2, Agent Fusioninventory v2.3.6

Offline

#18 2006-06-27 15:45:33

winsa
Guest
Registered: 2006-06-14
Posts: 39

Re: Version php

ca donne la même chose y'a pas l'air d'y avoir de fichier caché. Mais je me demande si ca viens pas des paquet PHP, je vois plus que ca de toute facon. pourtant je les aient installé avec yatz donc il devraient etre installé correctement.

Last edited by winsa (2006-06-27 15:46:07)

Offline

#19 2006-06-28 22:12:22

aurel
Guest
From: France
Registered: 2004-09-23
Posts: 1,248

Re: Version php

Je ne vois vraiment pas d'ou ça peut venir essaye de télécharger la version 10.1 utilisée dans le tuto car au moins là je suis sûr et certain qu'elle fonctionne car c'est moi qui est fait le tuto y'a quelques semaines.

A+


Prod (Vmware) Debian 7.0 - GLPI 0.85.4 , plugin FusionInventory 0.85+1.1, Agent Fusioninventory v2.3.8
Pré Prod (Vmware) Debian 7.0 - GLPI 0.84.3 , plugin FusionInventory 0.84+1.2, Agent Fusioninventory v2.3.6

Offline

Board footer

Powered by FluxBB